org.jbpm.services.task.impl.model

## Class AttachmentImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.AttachmentImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class AttachmentImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESS_TYPE`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,org.kie.internal.task.api.model.AccessType>` | `accessType`
    `static String` | `ATTACHED_AT`
    `static String` | `ATTACHED_BY`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Date>` | `attachedAt`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,UserImpl>` | `attachedBy`
    `static String` | `ATTACHMENT_CONTENT_ID`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Long>` | `attachmentContentId`
    `static String` | `CONTENT_TYPE`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,String>` | `contentType`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Long>` | `id`
    `static String` | `ID`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,String>` | `name`
    `static String` | `NAME`
    `static javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Integer>` | `size`
    `static String` | `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttachmentImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### accessType

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,org.kie.internal.task.api.model.AccessType> accessType

    - #### attachedAt

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Date> attachedAt

    - #### size

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Integer> size

    - #### attachmentContentId

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Long> attachmentContentId

    - #### name

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,String> name

    - #### attachedBy

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,UserImpl> attachedBy

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,Long> id

    - #### contentType

          public static volatile javax.persistence.metamodel.SingularAttribute<AttachmentImpl,String> contentType

    - #### ACCESS_TYPE

          public static final String ACCESS_TYPE

      See Also:
        Constant Field Values

    - #### ATTACHED_AT

          public static final String ATTACHED_AT

      See Also:
        Constant Field Values

    - #### SIZE

          public static final String SIZE

      See Also:
        Constant Field Values

    - #### ATTACHMENT_CONTENT_ID

          public static final String ATTACHMENT_CONTENT_ID

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### ATTACHED_BY

          public static final String ATTACHED_BY

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          public static final String CONTENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AttachmentImpl_

          public AttachmentImpl_()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.